diff --git a/dbgcomm.h b/dbgcomm.h
index 08fa76f..c72f789 100644
--- a/dbgcomm.h
+++ b/dbgcomm.h
@@ -13,10 +13,10 @@
 #ifndef DBGCOMM_H
 #define DBGCOMM_H
 
-extern void dbgcomm_reserve(void);
+extern PGDLLIMPORT void dbgcomm_reserve(void);
 
-extern int dbgcomm_connect_to_proxy(int proxyPort);
-extern int dbgcomm_listen_for_proxy(void);
+extern PGDLLIMPORT int dbgcomm_connect_to_proxy(int proxyPort);
+extern PGDLLIMPORT int dbgcomm_listen_for_proxy(void);
 
 extern int dbgcomm_listen_for_target(int *port);
 extern int dbgcomm_accept_target(int sockfd, int *targetPid);
diff --git a/pldebugger.h b/pldebugger.h
index 223ac81..02d7d57 100644
--- a/pldebugger.h
+++ b/pldebugger.h
@@ -88,7 +88,7 @@ extern LWLockId  getPLDebuggerLock(void);
 /* in plpgsql_debugger.c */
 extern void plpgsql_debugger_fini(void);
 
-extern debugger_language_t plpgsql_debugger_lang;
+extern PGDLLIMPORT debugger_language_t plpgsql_debugger_lang;
 #ifdef INCLUDE_PACKAGE_SUPPORT
 extern debugger_language_t spl_debugger_lang;
 #endif
diff --git a/pldebugger.proj b/pldebugger.proj
index 1b8e2eb..2889ff2 100644
--- a/pldebugger.proj
+++ b/pldebugger.proj
@@ -1,7 +1,7 @@
 <?xml version="1.0"?>
 <Project xmlns="http://schemas.microsoft.com/developer/msbuild/2003" DefaultTargets="all">
 
-    <Target Name="all" DependsOnTargets="targetinfo;plugin_debugger;pldbgapi" />
+    <Target Name="all" DependsOnTargets="plugin_debugger;pldbgapi" />
 
     <Import Project="settings.projinc" />
 
@@ -54,19 +54,6 @@
         <ClCommand Include="/I$(KERBEROSPATH)\inc\krb5" />
     </ItemGroup>
 
-    <!-- TARGETINFO -->
-    
-    <ItemGroup>
-        <TargetInfoSrc Include="targetinfo.c" />
-    </ItemGroup>
-
-    <Target Name="targetinfo" Inputs="@(TargetInfoSrc)" Outputs="targetinfo.dll">
-        <Message Text="Building targetinfo.dll" />
-        <WriteLinesToFile File="flist" Lines="@(ClCommand)" Overwrite="true" />
-        <WriteLinesToFile File="flist" Lines="@(TargetInfoSrc)" Overwrite="false" />
-        <Exec Command="cl $(CFLAGS) @flist /link /def:targetinfo.def $(LDFLAGS)" />
-    </Target>
-    
     <!-- PLUGIN_DEBUGGER -->
     
     <ItemGroup>
@@ -95,10 +82,10 @@
     
     
     <Target Name="clean">
-        <Delete Files="targetinfo.dll;plugin_debugger.dll;pldbgapi.dll" />
-        <Delete Files="targetinfo.exp;plugin_debugger.exp;pldbgapi.exp" />
-        <Delete Files="targetinfo.lib;plugin_debugger.lib;pldbgapi.lib" />
-        <Delete Files="targetinfo.dll.manifest;plugin_debugger.dll.manifest;pldbgapi.dll.manifest" />
+        <Delete Files="plugin_debugger.dll;pldbgapi.dll" />
+        <Delete Files="plugin_debugger.exp;pldbgapi.exp" />
+        <Delete Files="plugin_debugger.lib;pldbgapi.lib" />
+        <Delete Files="plugin_debugger.dll.manifest;pldbgapi.dll.manifest" />
         <Delete Files="flist" />
     </Target>
 
diff --git a/plugin_debugger.def b/plugin_debugger.def
index f3eee64..6db8d5a 100644
--- a/plugin_debugger.def
+++ b/plugin_debugger.def
@@ -10,8 +10,5 @@ EXPORTS
   BreakpointOnId
   BreakpointReleaseList
   BreakpointShowAll
-  pg_finfo_plpgsql_oid_debug
-  _PG_fini
   _PG_init
   Pg_magic_func
-  plpgsql_oid_debug
\ No newline at end of file
